#
# spec file for package python-uritools
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-uritools
Version:        4.0.0
Release:        1.4
Summary:        URI parsing, classification and composition
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/tkem/uritools/
Source:         https://files.pythonhosted.org/packages/source/u/uritools/uritools-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
URI parsing, classification and composition.

%prep
%setup -q -n uritools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 4.0.0
  * Require Python 3.7 or later (breaking change).
  * Remove undocumented submodules (breaking change).
    The chars, classify, compose, defrag, encoding, join and split submodules have been deleted. Therefore, statements like
    from uritools.classify import isuri
    will no longer work. Use
    from uritools import isuri instead.
* Thu Jun  3 2021 pgajdos@suse.com
- version update to 3.0.2
  * Update build environment.
  * Do not convert percent-encodings to uppercase in host components
    generated by ``uricompose()``.
  * Officially support Python 3.9.
  * Format code with Black.
* Thu Dec 26 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v3.0.0
